/* CSS Document */
#header .header-center .container .block {
    margin: 0.1rem 0.5rem 0 0.5rem;
    color: #a09aae;
    text-decoration: none;
}

#header .header-center .container .active {
    position: relative;
    /* margin: 0.1rem 0.5rem 0 0.5rem; */
    color: white;
    font-size: 0.28rem;
    font-weight: bold;
    text-decoration: none; /* 關掉預設底線 */
}

#header .header-center .container .active::after {
    content: "";
    position: absolute;
    left: -0.05rem; /* 向左延伸底線 */
    right: -0.05rem; /* 向右延伸底線 */
    bottom: -0.1rem; /* 貼著文字底部 */
    height: 0.028rem; /* 底線粗細 */
    background-color: #fe98d7;
    border-radius: 2px; 
}

#header .header-right {
    display: flex;
    justify-content: center;
    align-items: end;
}

/* .main-content {
} */

.main-content .banner-area {
    overflow: hidden;
    /* border-radius: 0.94rem; */
    height: 2.5rem;
    /* padding: 0.3rem 0.3rem 0 0.3rem; */
    padding: 0.1rem 0.3rem 0 0.3rem;
}

.main-content .banner-area .my-focus {
    border-radius: 5px;
    /*    background-color: #181a20;*/
}

.main-content .banner-area .my-focus {
    /* height: 100%; */
    width: 100%;
}

.main-content .banner-area .my-focus .banner-img {
    width: 100%;
    border-radius: 0.1rem;
}
.main-content .banner-area .my-focus .slick-dots {
    position: absolute;
    bottom: 2%;
    width: 100%;
    text-align: center;
}
.main-content .banner-area .my-focus .slick-dots li {
    display: inline-block;
    width: 0.12rem;
    height: 0.12rem;
    border-radius: 999px;
    background: white;
    margin: 0 0.05rem;
    transition: 0.2s;
}
.main-content .banner-area .my-focus .slick-dots li.slick-active {
    background: #f0b90b;
    width: 0.2rem;
}
.main-content .banner-area .my-focus .slick-dots li button {
    display: none;
}
/*
.main-content .banner-area .my-focus .pic li{
	width: 100%;
	position: absolute;
    top: 0;
    left: 0;
	right: 0;
    display: none;
}
*/

.main-content .banner-area .my-focus .banner-img {
    width: 100%;
}

.main-content .banner-area .my-focus .num {
    bottom: 0.02rem;
    height: auto;
}

.main-content .banner-area .my-focus .num li {
    padding: 0 0.1rem;
    width: 0.12rem;
    height: 0.12rem;
}

.main-content .banner-area .my-focus .num li a {
    width: 0.12rem;
    height: 0.12rem;
    background: #fff;
    z-index: 800;
}

.main-content .banner-area .my-focus li.current a,
.main-content .banner-area .my-focusli.hover a {
    background-color: #f0b90b;
}

.main-content .banner-area .mF_YSlider .pic li,
.main-content .banner-area .mF_YSlider .rePic li {
    width: 100%;
}

.main-content .menu {
    padding: 0.15rem 0.1rem 0.2rem 0.1rem;
    color: #d681e0;
    display: flex;
    overflow-x: auto;
    margin: 0 0.3rem 0.2rem 0.3rem;
}

.main-content .menu .menubutton {
    margin: 0 0.12rem;
    padding: 0.05rem 0.3rem;
    /*	background-color: #4f4669;*/
    border: 2px solid transparent;
    border-radius: 20px;
    text-decoration: none;
    color: #a19aaf;
}

.main-content .menu .menuactive {
    margin: 0 0.12rem;
    padding: 0.05rem 0.3rem;
    /* background-color: #4f4669; */
    border: 2px solid #d681e0;
    border-radius: 20px;
    text-decoration: none;
    color: #d681e0;
}

.main-content .menu a {
    flex-shrink: 0; /* 不要被壓縮 */
}

.main-content .videorows {
    padding: 0.1rem 0.3rem;
    overflow-y: auto;
}

/* 滾動條整體寬度 */
.videorows::-webkit-scrollbar {
    width: 5px; /* 寬度可調整 */
}

.main-content .menu::-webkit-scrollbar {
    height: 3px;
}

/* 滾動條軌道（背景） */
.main-content .menu::-webkit-scrollbar-track,
.videorows::-webkit-scrollbar-track {
    background: #312644; /* 軌道顏色 */
    border-radius: 6px;
}

/* 滾動條滑塊 */
.main-content .menu::-webkit-scrollbar-thumb,
.videorows::-webkit-scrollbar-thumb {
    background: #8f59a7; /* 滑塊顏色 */
    border-radius: 6px;
    padding: 0 0.5rem;
}

/* 滑塊 hover 時 */
.main-content .menu::-webkit-scrollbar-thumb:hover,
.videorows::-webkit-scrollbar-thumb:hover {
    background: #7a4c8e;
}

.main-content .videorows .row {
    /*border: 2px solid red; */
    display: flex;
    width: 100%;
    /*  height: 18vh;   */
    justify-content: center;
    margin-bottom: 0.18rem; /* 調整間隔大小 */
    gap: 0.3rem;
}

.main-content .videorows .row .cell1 {
    /* border: 2px solid blue; */
    flex: 1;
    position: relative;
}

/*圖片*/
.main-content .videorows .row .cell1 .shadow-img {
    width: 100%;
    height: auto;
    display: block;
    /* 陰影*/
    border-radius: 15px;
    box-shadow: 0 4px 0 0 #724d8c;
}

/*球的icon*/
.row .icon {
    width: 8%;
    height: auto; /* 保持比例 */
    position: absolute;
    top: 5%;
    left: 5%;
}

/*文字*/
.main-content .videorows .row .cell1 .overlay-text {
    position: absolute;
    top: 6%;
    left: 15%;
    color: white;
    pointer-events: none;
    font-size: 0.2rem;
}

.main-content .videorows .row .cell1 .overlay-text2 {
    position: absolute;
    top: 75%;
    left: 5%;
    color: white;
    pointer-events: none;
    font-size: 0.2rem;
}

.main-content .videorows .row .cell1 .overlay-text3 {
    position: absolute;
    top: 85%;
    left: 5%;
    color: white;
    pointer-events: none;
    font-size: 0.2rem;
}

.main-content .videorows .row .cell1 .overlay-text4 {
    position: absolute;
    top: 85.5%;
    left: 75%;
    color: white;
    pointer-events: none;
    font-size: 0.2rem;
}

/*主播圖*/
.character-img1 {
    position: absolute;
    top: 35%; 
    right: 7%; 
    width: 28%; 
    height: auto;
}

.character-country-img {
    position: absolute;
    top: 85%; 
    right: 5%;
    width: 30%;
    height: auto;
}


#footer .btn .txt {
    color: #a089b6;
}
